.banner-preview{float:right; width:40%; padding-top:54px}
/*.adminhtml-promobanners-edit #container .form-inline{float:left; width:60%}*/
.adminhtml-promobanners-edit > .admin__fieldset > .admin__field > .admin__field-control{width: calc(100% * 0.6 - 30px);}
.promobanner img{max-width:100%}
.preview-move{position:relative}
.preview-move .banner-preview{position:fixed; top:90px; padding-top:0}
#promobannersGrid .col-promobanners_id, .col-promobanner-chooser_id{width:70px}
#promobannersGrid .col-status, #promobannersGrid .col-action, .col-promobanner-chooser_status{width:130px}
#promobannersGrid .col-title{width:320px}
.col-promobanner-chooser_title{width:370px}
.img-responsive{max-width:100%}
.promobanner {
	position: relative;
	margin-bottom: 20px;
}
.promobanner .text {
	position: absolute;
    padding: 15px;
    z-index: 99;
	bottom: 0;
	color: #fff;
}
.middle-left, .middle-right {
	transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
	-moz-transform: translateY(-50%);
	-o-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	top: 50%;
}
.middle-left {
	left: 0;
}
.middle-right {
	right: 0;
}
.bottom-center, .top-middle {
	transform: translateX(-50%);
	-webkit-transform: translateX(-50%);
	-moz-transform: translateX(-50%);
	-o-transform: translateX(-50%);
	-ms-transform: translateX(-50%);
	left: 50%;
}
.bottom-center {
	bottom: 0;
}
.top-middle {
	top: 0;
}
.middle-center {
	transform: translate(-50%, -50%);
	-webkit-transform: translate(-50%, -50%);
	-moz-transform: translate(-50%, -50%);
	-o-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	left: 50%;
	top: 50%;
}
.top-left {
	left: 0;
	top: 0;
}
.top-right {
	right: 0;
	top: 0;
}
.bottom-left {
	bottom: 0;
	left: 0;
}
.bottom-right {
	bottom: 0;
	right: 0;
}

.promobanner {
	overflow: hidden;
}
/* Zoom */
.promobanner.zoom img{
	transform: scale(1);
    -webkit-transform: scale(1);
    -o-transform: scale(1);
    -moz-transform: scale(1);
    transition: all 0.3s ease-out 0s;
    -webkit-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
}
.promobanner.zoom:hover img {
	transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -o-transform: scale(1.1);
    -moz-transform: scale(1.1);
    transition: all 0.3s ease-out 0s;
    -webkit-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
}
/* Border Zoom */
.promobanner.border-zoom:before {
	border: 1px solid #fff;
    top: 10px;
    bottom: 10px;
    right: 10px;
    left: 10px;
    content: '';
    display: block;
    position: absolute;
    transform: scale(1.2);
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -o-transform: scale(1.2);
    transition: all 0.5s ease 0s;
    -webkit-transition: all 0.5s ease 0s;
    -moz-transition: all 0.5s ease 0s;
    -o-transition: all 0.5s ease 0s;
}
.promobanner.border-zoom:hover:before{
	transform: scale(1);
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -o-transform: scale(1);
    z-index: 9;
}
.promobanner.border-zoom img {
	transition: all 0.5s ease 0s;
    -webkit-transition: all 0.5s ease 0s;
    -moz-transition: all 0.5s ease 0s;
    -o-transition: all 0.5s ease 0s;
}
.promobanner.border-zoom:hover img{
	transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
}
/* flashed */
.promobanner.flashed:after {
	position: absolute;
    top: -100%;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.5);
    content: '';
    -webkit-transition: -webkit-transform 0.6s;
    transition: transform 0.6s;
    transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,-100%,0);
    -moz-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,-100%,0);
    -o-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,-100%,0);
    -webkit-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,-100%,0);
}
.promobanner.flashed:hover:after {
	-webkit-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,100%,0);
    transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,100%,0);
    -o-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,100%,0);
    -moz-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,100%,0);
}
/* zoom-flashed */
.promobanner.zoom-flashed:after {
	position: absolute;
    top: -100%;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.5);
    content: '';
    -webkit-transition: -webkit-transform 0.6s;
    transition: transform 0.6s;
    transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,-100%,0);
    -moz-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,-100%,0);
    -o-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,-100%,0);
    -webkit-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,-100%,0);
}
.promobanner.zoom-flashed:hover:after {
	-webkit-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,100%,0);
    transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,100%,0);
    -o-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,100%,0);
    -moz-transform: scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,100%,0);
}
.promobanner.zoom-flashed img {
	transition: all 0.5s ease 0s;
    -webkit-transition: all 0.5s ease 0s;
    -moz-transition: all 0.5s ease 0s;
    -o-transition: all 0.5s ease 0s;
}
.promobanner.zoom-flashed:hover img {
	transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
}
/* shadow-corner */
.promobanner.shadow-corner:before {
	position: absolute;
    height: 200%;
    width: 50%;
    transform: rotate(45deg);
    background: #ca7379;
    top: 50%;
    right: -140px;
    content: "";
    opacity: 0;
    z-index: 10;
    transition: all 0.3s ease-out 0s;
    -webkit-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
}
.promobanner.shadow-corner:after {
	position: absolute;
    height: 200%;
    width: 50%;
    transform: rotate(45deg);
    background-image: url('bg_tabs.jpg');
    background-repeat: repeat;
    top: 0;
    right: -140px;
    content: "";
    z-index: 9;
}
.promobanner.shadow-corner:hover:before {
	opacity: 1;
    top: 0;
    transition: all 0.3s ease-out 0s;
    -webkit-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
}
/* border-run */
.promobanner.border-run:before,
.promobanner.border-run:after {
    bottom: 15px;
    content: "";
    left: 15px;
    position: absolute;
    right: 15px;
    top: 15px;
    transform: scale(1, 1);
    -moz-transform: scale(1, 1);
    -webkit-transform: scale(1, 1);
    -o-transform: scale(1, 1);
    transition: all 0.6s ease-in-out 0s;
    -moz-transition: all 0.6s ease-in-out 0s;
    -o-transition: all 0.6s ease-in-out 0s;
    -webkit-transition: all 0.6s ease-in-out 0s;
    z-index: 1;
}
.promobanner.border-run:after {
	border-left: 5px solid #fff;
    border-right: 5px solid #fff;
}
.promobanner.border-run:before {
	border-bottom: 5px solid #fff;
    border-top: 5px solid #fff;
}
.promobanner.border-run:hover:after{
	transform: scale(1, 0);
    -moz-transform: scale(1, 0);
    -webkit-transform: scale(1, 0);
    -o-transform: scale(1, 0);
	border-color: #ca7379;
}
/* promobanner zoom-shadow */
.promobanner.zoom-shadow:after {
	position: absolute;
    content: "";
    left: 20px;
    right: 20px;
    bottom: 20px;
    top: 20px;
    background: #000000;
    opacity: 0.4;
    transition: all 0.3s ease-in-out 0s;
    -o-transition: all 0.3s ease-in-out 0s;
    -moz-transition: all 0.3s ease-in-out 0s;
    -webkit-transition: all 0.3s ease-in-out 0s;
}
.promobanner.zoom-shadow:hover:after {
	left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    transition: all 0.3s ease-in-out 0s;
    -o-transition: all 0.3s ease-in-out 0s;
    -moz-transition: all 0.3s ease-in-out 0s;
    -webkit-transition: all 0.3s ease-in-out 0s;
}
/* cup-border */
.promobanner.cup-border {
	overflow: visible;
}
.promobanner.cup-border a:after {
	border: 2px solid #ddbe86;
    position: absolute;
    left: 0;
    bottom: 0;
    top: 0;
    right: 0;
    content: "";
    opacity: 0;
    transform: translate(0);
    -moz-transform: translate(0);
    -o-transform: translate(0);
    -webkit-transform: translate(0);
    transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
}
.promobanner.cup-border:hover a:after {
	opacity: 1;
    transform: translate(15px, 15px);
    -moz-transform: translate(15px, 15px);
    -o-transform: translate(15px, 15px);
    -webkit-transform: translate(15px, 15px);
}
/* flashed-zoom */
.promobanner.flashed-zoom a:after {
	position: absolute;
    content: "";
    width: 100%;
    padding-top: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) rotate(45deg) scale(0);
    -moz-transform: translate(-50%,-50%) rotate(45deg) scale(0);
    -webkit-transform: translate(-50%,-50%) rotate(45deg) scale(0);
    -o-transform: translate(-50%,-50%) rotate(45deg) scale(0);
    opacity: 1;
    background: #fff;
    -webkit-transition: all 600ms ease-in-out;
    -moz-transition: all 600ms ease-in-out;
    transition: all 600ms ease-in-out;
    -o-transition: all 600ms ease-in-out;
    -ms-transition: all 600ms ease-in-out;
}
.promobanner.flashed-zoom:hover a:after {
	opacity: 0;
    transform: translate(-50%,-50%) rotate(45deg) scale(1);
    -moz-transform: translate(-50%,-50%) rotate(45deg) scale(1);
    -webkit-transform: translate(-50%,-50%) rotate(45deg) scale(1);
    -o-transform: translate(-50%,-50%) rotate(45deg) scale(1);
}
.promobanner.flashed-zoom a > img {
	-webkit-transition: all 400ms ease-in-out;
    -moz-transition: all 400ms ease-in-out;
    transition: all 400ms ease-in-out;
    -o-transition: all 400ms ease-in-out;
    -ms-transition: all 400ms ease-in-out;
}
.promobanner.flashed-zoom:hover a > img {
	transform: scale(1.1);
    -moz-transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -o-transform: scale(1.1);
}
/* zoom-out-shadow */
.promobanner.zoom-out-shadow a:after {
	position: absolute;
    content: "";
    left: -10px;
    right: -10px;
    bottom: -10px;
    top: -10px;
    border: 2px solid #fff;
    outline-width: 15px;
    outline-style: solid;
    outline-color: rgba(0,0,0,0.3);
    z-index: 100;
	-webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    -ms-transition: all 300ms ease-in-out;
}
.promobanner.zoom-out-shadow:hover a:after {
	left: 15px;
    right: 15px;
    bottom: 15px;
    top: 15px;
}
/* mist */
.promobanner.mist a:after {
	position: absolute;
    z-index: 1;
    background-color: rgba(255,255,255,0.8);
    content: "";
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    transform: scaleY(0);
    -moz-transform: scaleY(0);
    -o-transform: scaleY(0);
    -webkit-transform: scaleY(0);
    opacity: 0;
    visibility: hidden;
    -webkit-transform-origin: 50% 100%;
    -moz-transform-origin: 50% 100%;
    -o-transform-origin: 50% 100%;
    -ms-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
	-webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    -ms-transition: all 300ms ease-in-out;
}
.promobanner.mist:hover a:after {
	transform: scaleY(1);
    -moz-transform: scaleY(1);
    -o-transform: scaleY(1);
    -webkit-transform: scaleY(1);
    opacity: 1;
    visibility: visible;
}
/* Mist text */
.promobanner.mist-text a:after {
	position: absolute;
    z-index: 1;
    background-color: rgba(255,255,255,0.8);
    content: "";
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    transform: scaleY(0);
    -moz-transform: scaleY(0);
    -o-transform: scaleY(0);
    -webkit-transform: scaleY(0);
    opacity: 0;
    visibility: hidden;
    -webkit-transform-origin: 50% 100%;
    -moz-transform-origin: 50% 100%;
    -o-transform-origin: 50% 100%;
    -ms-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
	-webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    -ms-transition: all 300ms ease-in-out;
}
.promobanner.mist-text:hover a:after {
	transform: scaleY(1);
    -moz-transform: scaleY(1);
    -o-transform: scaleY(1);
    -webkit-transform: scaleY(1);
    opacity: 1;
    visibility: visible;
}
.promobanner.mist-text .text {
	position: absolute;
    left: 35px;
    bottom: 30px;
    z-index: 3;
	-webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    -ms-transition: all 300ms ease-in-out;
}
.promobanner.mist-text:hover .text {
	bottom: 50%;
    -webkit-transform: translateY(50%);
    -moz-transform: translateY(50%);
    -ms-transform: translateY(50%);
    -o-transform: translateY(50%);
}
